
/*****************************************************************************
*
* Emrah Akin Sisbot
* Aug 10
*
* File    : sparkConst.h
* Brief   :
*
******************************************************************************/

#ifndef SPARK_CONST_H
#define SPARK_CONST_H

#define SPARK_MAX_THINGS_NB 30
#define SPARK_MAX_AGENT_NB 5
// ----------------------

// OBJECT CONSTANTS

#define SPARK_OBJECT_DEFAULT_UPDATE_DIST 0.02

// --------------------

// HUMAN CONSTANTS

#define SPARK_HUMAN_HISTORY_LENGTH 5

#define SPARK_HUMAN_DEFAULT_HEAD_HAND_DIST 1.2

#define SPARK_HUMAN_DEFAULT_UPDATE_DIST 0.05
#define SPARK_HUMAN_DEFAULT_UPDATE_ANGLE 0.1
#define SPARK_HUMAN_DEFAULT_HAND_UPDATE_DIST 0.03
#define SPARK_HUMAN_DEFAULT_UPDATE_BIG_JUMP_DIST 0.4
#define SPARK_HUMAN_DEFAULT_UPDATE_BIG_JUMP_ANGLE M_PI_2

#define SPARK_HUMAN_DEFAULT_SITTING_HEAD_HEIGHT 1.4

// --------------------

// SITUATION ASSESSMENT CONSTANTS

#define SPARK_OBJ_STATE_MAX 20
#define SPARK_OBJECT_HISTORY_LENGTH 4

#define SPARK_DEFAULT_VISIBILITY_RATIO 50
#define SPARK_FAR_LIMIT 5

// --------------------

// COMPATIBILITY WITH OTHER MODULES

#define SPARK_MOCAP_FRAME_TRANSLATION_X 4.6
#define SPARK_MOCAP_FRAME_TRANSLATION_Y -3

#define M3D_MAX_DOF 65

// --------------------

#endif
